package com.jy.business.capital.model.table;

import com.jy.business.capital.model.entity.CapitalTransactions;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class CapitalTransactionsTable extends Table<CapitalTransactions> {

    public static CapitalTransactionsTable capital_transactions = new CapitalTransactionsTable();
    public static CapitalTransactionsTable ct = capital_transactions.as("ct");

    /**
     * 资金流水id
     */
    public QueryColumn id = this.field(CapitalTransactions::getId);

    /**
     * 资金账号id
     */
    public QueryColumn capitalAccountId = this.field(CapitalTransactions::getCapitalAccountId);

    /**
     * 交易时间
     */
    public QueryColumn tradingTime = this.field(CapitalTransactions::getTradingTime);

    /**
     * 交易类型 1收入 0支出
     */
    public QueryColumn type = this.field(CapitalTransactions::getType);

    /**
     * 交易金额
     */
    public QueryColumn amount = this.field(CapitalTransactions::getAmount);

    /**
     * 对方类型
     */
    public QueryColumn targetType = this.field(CapitalTransactions::getTargetType);

    /**
     * 对方账户名
     */
    public QueryColumn targetAccountName = this.field(CapitalTransactions::getTargetAccountName);

    /**
     * 对方开户银行
     */
    public QueryColumn targetDepositBank = this.field(CapitalTransactions::getTargetDepositBank);

    /**
     * 对方账号
     */
    public QueryColumn targetAccount = this.field(CapitalTransactions::getTargetAccount);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(CapitalTransactions::getRemark);

    /**
     * 订单id
     */
    public QueryColumn orderId = this.field(CapitalTransactions::getOrderId);

    /**
     * 订单编号
     */
    public QueryColumn orderCode = this.field(CapitalTransactions::getOrderCode);

    /**
     * 是否小程序 1是 0否
     */
    public QueryColumn hasApplet = this.field(CapitalTransactions::getHasApplet);

    /**
     * 是否批单 1是 0否
     */
    public QueryColumn hasBulkOrder = this.field(CapitalTransactions::getHasBulkOrder);

    /**
     * 是否私账 1私帐 0公帐
     */
    public QueryColumn hasPrivate = this.field(CapitalTransactions::getHasPrivate);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(CapitalTransactions::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(CapitalTransactions::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(CapitalTransactions::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(CapitalTransactions::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(CapitalTransactions::getDelFlag);

    private CapitalTransactionsTable() {
        super(CapitalTransactions.class);
    }

    private CapitalTransactionsTable(String alias) {
        super(CapitalTransactions.class, alias);
    }

    public CapitalTransactionsTable as(String alias) {
        return new CapitalTransactionsTable(alias);
    }

}
